<template>
  <v-row justify="center" class="mt-4 mb-4">
    <v-col cols="12" sm="12" md="7" lg="7">
      <v-card class="overflow-hidden">
        <v-app-bar color="cyan" dense dark>
          <v-app-bar-nav-icon></v-app-bar-nav-icon>
          <v-toolbar-title>จัดการหน่วยสินค้า</v-toolbar-title>
          <v-spacer></v-spacer>
        </v-app-bar>
        <v-sheet justify="center">
          <v-row justify="center">
            <v-col class="auto" cols="12" sm="12" md="10" lg="10">
              <unitCreate :findLastID="findLastID" />
            </v-col>
          </v-row>
          <v-row justify="center"  class="mb-5">
            <v-col class="auto" cols="12" sm="12" md="11" lg="11">
              <!-- :setDefaultItem="defaultedItem" -->
              <unitList :itemData="itemUnit" />
            </v-col>
          </v-row>
        </v-sheet>
      </v-card>
    </v-col>
  </v-row>
</template>
<script>
import unitCreate from '@/components/iexpenses/unit/unitCreate'
import unitList from '@/components/iexpenses/unit/unitList'
import { db } from '@/services/firebase'

import { mapGetters, mapActions } from 'vuex'

export default {
  components: {
    unitCreate,
    unitList,
  },
  data() {
    return {
      editIndex: -1,
      defaultItem: {
        id: null,
        name: '',
        auth: '',
      },
    }
  },
  computed: {
    ...mapGetters({
      unitData: 'getExpensesUnit',
      lastID: 'getExpensesUnitID',
    }),
    itemUnit() {
      return this.unitData
    },
    findLastID() {
      return this.lastID
    },
  },
  mounted() {
    this.callUnitAll()
    this.findID()
  },
  methods: {
    ...mapActions({
      callUnitAll: 'callUnitAll',
      findID: 'findID',
    }),
  },
}
</script>
<style scoped>
.v-icon {
  cursor: pointer;
}
.elevation-1.text {
  font-size: 40em;
}
</style>
